import { Component, Inject } from '@angular/core';
import { BooksService } from './books.service';

@Component({
  selector: 'contents',
  templateUrl: './books.component.html',
  providers: [ ],
})
export class BooksComponent {
  constructor(@Inject(BooksService) service) {
    this.books = [];                       
    this.service = service;
  }               

  ngOnInit() {
    this.getBooks();
  }                 
  
  getBooks() {
    this.service.get()
      .subscribe(books => this.books = books);
  }
}